package gov.va.vinci.dart.db.impl;

import gov.va.vinci.dart.biz.SoftwareRequest;
import gov.va.vinci.dart.db.SoftwareRequestDAO;
import gov.va.vinci.dart.db.util.HibernateDAO;

public class SoftwareRequestDAOImpl extends HibernateDAO implements SoftwareRequestDAO {

	@Override
	public void save(SoftwareRequest request) {
		if (request == null) {
			throw new IllegalArgumentException();
		}
		
		HibernateDAO.save(request);
	}

}
